Subject: Re: draft-ietf-pkix-x509-ipaddr-as-extn-00.txt

From: Karen Seo <[email-masked]>
Date: Fri, 19 Apr 2002 11:52:27 -0400

Paul Hoffman just added me to the pkix mailing list so that I could 
cc: this to you...

>  >From owner-ietf-pkix Fri Apr 19 07:02:12 2002
>Received: from gto-mailer1.bbn.com (cam-mailer1.bbn.com [128.33.0.36])
>	by above.proper.com (8.11.6/8.11.3) with ESMTP id g3JE2Bb23080
>	for <[email-masked]>; Fri, 19 Apr 2002 07:02:11 -0700 (PDT)
>Received: from [128.89.89.113] (dhcp089-113.bbn.com [128.89.89.113])
>	by gto-mailer1.bbn.com (8.9.3+Sun/8.9.3) with ESMTP id KAA10777;
>	Fri, 19 Apr 2002 10:01:24 -0400 (EDT)
>Mime-Version: 1.0
>X-Sender: [email-masked]
>Message-Id: <p0500192cb8e5d5c6f039@[128.89.89.113]>
>Date: Fri, 19 Apr 2002 10:11:16 -0400
>To: "Sanjaya" <[email-masked]>
>From: Karen Seo <[email-masked]>
>Subject: Re: draft-ietf-pkix-x509-ipaddr-as-extn-00.txt
>Cc: <[email-masked]>, [email-masked], [email-masked]
>Content-Type: text/plain; charset="us-ascii" ; format="flowed"
>
>Hello Sanjaya,
>
>Please accept my apologies for taking so long to reply.  Steve
>forwarded this to me and first I missed it, then I was sidelined by a
>rush proposal...
>
>>I'd like to make 2 comments on this draft:
>>
>>1. The term 'ownership of address space' is not used in RIR community.
>>      It implies that the address space is permanently given to somebody,
>>while
>>      in fact it is only temporarily allocated/assigned while the user still
>>has
>>      a relation with the registry (contract with an ISP or a membership with
>>RIR).
>>      Could we replace it with 'delegated to', 'allocated to', or 'assigned
>>to'?
>>      Also 'stewardship' is probably better than 'ownership' (it implies
>>responsibility
>>      as well).
>
>	Good point.  We'll revise the document to reflect this.
>
>>2. The use of attribute certificate (AC) for this purpose is also
>>appropriate.
>>      We can just add an attribute certificate whenever a new allocation is
>>      made, rather than revoking the PKC and create a new one with
>>      the new allocation added in the extension.
>>      However, for practical purpose (speed of authentication and authori-
>>      sation, for example), it make sense to attach the extension in an PKC.
>>      With this consideration, I propose that we add a profile of an AC as
>>part
>>      of this draft to ensure consistency in both approach, and to allow
>>flexibility
>>      in the implementation.
>
>	We are considering this.  One question that arises is where
>	to put the IP address and AS number information -- in an
>	"extension"  or as "attributes"?  If the latter, what would
>	we do about the "critical" field?  What are your thoughts
>	on this matter?
>
>Thank you,
Karen